layout(location = 0, index = 0) out vec4 outcol0;

uniform sampler2D tex_over;
uniform vec4 opasity;

in vec2 texcoord_nm;

void main()
{
	vec4 col_over = texture( tex_over, texcoord_nm );
	float a = col_over.a * opasity.x;
	outcol0 = vec4( col_over.rgb * a, a );
}
